# Uses of Enum Class
org.apache.lucene.geo.SimpleWKTShapeParser.ShapeType

Packages that use SimpleWKTShapeParser.ShapeType
Package
Description
org.apache.lucene.geo
Core geo-spatial types and utilities for handling geographical data and spatial operations in Lucene.

- ## Uses of SimpleWKTShapeParser.ShapeType in org.apache.lucene.geo

  Methods in org.apache.lucene.geo that return SimpleWKTShapeParser.ShapeType
  Modifier and Type
  Method
  Description
  `static SimpleWKTShapeParser.ShapeType`
  SimpleWKTShapeParser.ShapeType.`forName(String shapename)`
  `static SimpleWKTShapeParser.ShapeType`
  SimpleWKTShapeParser.ShapeType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SimpleWKTShapeParser.ShapeType[]`
  SimpleWKTShapeParser.ShapeType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.geo with parameters of type SimpleWKTShapeParser.ShapeType
  Modifier and Type
  Method
  Description
  `static Object`
  SimpleWKTShapeParser.`parseExpectedType(String wkt, SimpleWKTShapeParser.ShapeType shapeType)`